This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 168895 - rhnreg_ks seems to have issues with --activationkey flag.
rhnreg_ks seems to have issues with --activationkey flag.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 21:01 EDT by Michael Romero
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 22:27:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Romero 2005-09-20 21:01:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
I would like to specify --activationkey when issuing the rhnreg_ks command in order to get my systems to automatically become part of a pre-determined system group on my RHN Account.  If I use --activationkey and specify my key when issuing the rhnreg_ks command, I get an error back that makes it seem like I do not have any spare entitlements, even though I have not set a limit to the number of entitlements within my activation key and I am about 12 servers away from running out of rhn subscriptions.  I am able to use rhnreg_ks successfully if I do not specify --activationkey=<myactivationkey> at the command prompt.  

Version-Release number of selected component (if applicable):
up2date-4.2.57-2

How reproducible:
Always

Steps to Reproduce:
1. Create an activation key on RHN, create a system group on RHN
2. Associate the group to the activation key and don't set a usage limit
3. Run the "rhnreg_ks" command ala :
rhnreg_ks --username=<rhnuserid> --password=<rhnpass> --proxy=<proxyip>:80 --force --email=<email> --profilename=<hostname> --activationkey=<key>

Actual Results:  [root@ti1xr101 root]# rhnreg_ks --username=<rhnuserid> --password=<rhnpass> --proxy=<proxyip>:80 --force --email=<email> --profilename=<hostname> --activationkey=<activationkey>

Error Message:
    Registration failed: RHN Software Management service entitlements exhausted
Error Class Code: 91
Error Class Info: Registration token unable to entitle system: maximum membership exceeded
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Expected Results:  It should have registered to RHN using the activation key provided, and been automatically been made a part of the system group I associated the activation key with using my RHN account.  

Additional info:

This is happening on a fresh install of RHEL 3.5.

Note You need to log in before you can comment on or make changes to this bug.